/*
Copyright (c) 2004 Bart Upchurch

Permission is hereby granted, free of charge, to any person 
obtaining a copy of this software and associated documentation 
files (the "Software"), to deal in the Software without 
restriction, including without limitation the rights to use, 
copy, modify, merge, publish, distribute, sublicense, and/or 
sell copies of the Software, and to permit persons to whom 
the Software is furnished to do so, subject to the 
following conditions:

The above copyright notice and this permission notice shall 
be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR 
THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/
#include <Application.h>
#include <Window.h>
#include <Screen.h>

#include "MeasureDefs.h"
#include "MeasureApp.h"
#include "MeasureWindow.h"


const char *APP_SIGNATURE		= "application/x-vnd.BU-Measure";

MeasureApp::MeasureApp()
			: BApplication(APP_SIGNATURE) {
	
	BScreen aScreen(B_MAIN_SCREEN_ID);
	BRect windowRect; 
	windowRect.Set(200.0, 200.0, 600.0, 400.0);
	
	MeasureWindow *mWindow;
	
	mWindow = new MeasureWindow(windowRect);
}

int main(void)
{
	new MeasureApp;
	be_app->Run();
	delete be_app;
	return(B_OK);
}  